Questions and discussion about developing processes and programming in PHP, JavaScript, web services & REST API.

Moderator: amosbatto

Forum rules: Please search to see if a question has already asked before creating a new topic. Please don't post the same question in multiple forums.
By jayandrewryan
#790274
I have a process that worked in 2.5.1 that is not working in 3.0. The first task is an automated task that gets and sets some data, then passes the process on to the next task. It no longer passes on to the next task. I setup the Last Error and Error Backtrace and Last Error came up with this:

Array ( [type] => 2048 [message] => Non-static method DBAdapter::getStringDelimiter() should not be called statically, assuming $this from incompatible context [file] => /opt/processmaker/workflow/engine/classes/class.case.php [line] => 3231 )

This is at the top of the first trigger. That means it's happening before anything in the trigger, right?

The backtrace contains this:

[res] =>
Array ( [1] => Array ( [TAS_TITLE] => ) ) [__ERROR__] => It is not possible to execute the query. Please contact your system administrator [errorLast] => Array ( [type] => 2048 [message] => Non-static method DBAdapter::getStringDelimiter() should not be called statically, assuming $this from incompatible context [file] => /opt/processmaker/workflow/engine/classes/class.case.php [line] => 3231 )

That isn't exactly helpful. I'm trying to figure out what query is causing this error, but if it happens before the trigger then it seems like it has to be something outside of the process.

Any ideas that might point me in the right direction?

Hello! If you did not find the mcrypt extension […]

Hello! You have a mistake in the url, the correct […]

objects variable in grid

Hello! It is very rare since I could not replicate[…]

Hello! It is likely that the design you are doin[…]